Page MenuHomePhabricator

Civi Question & Possible Task: Is there a more detailed change log than the one on the contact summary page?
Open, MediumPublic2 Estimated Story Points

Description

We want to be able to tell when an address was edited/added/deleted in Civi, so we can better track when a contacts address(es) are changed.

Event Timeline

CaitVirtue raised the priority of this task from to Needs Triage.
CaitVirtue updated the task description. (Show Details)
CaitVirtue added subscribers: CaitVirtue, RLewis.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 3 2015, 5:34 PM

Is this a Fundraising ticket? Please don't forget to associate projects when creating tickets.

atgo triaged this task as Medium priority.Feb 27 2015, 1:06 AM
atgo added a subscriber: atgo.

@CaitVirtue this sounds like a good question for Giant Rabbit... if they say "there isn't," we can define what your ask is.

awight added a subscriber: awight.Oct 19 2015, 5:39 PM

@CaitVirtue: I'm going to use this as the tracking task for "Civi change log sucks" that you mentioned last week.

Things we want:

  • Change log should say exactly what was changed.
  • Many activity lines say that the donor did the changing, when it was actually a Civi admin. The admin's name should be the one that we surface.

Bringing this into sprint as it is to be resolved in this week's deploy

DStrine closed this task as Resolved.May 11 2016, 9:09 PM

@DStrine Can we review together. I'm only seeing the detailed changes for things that have happened very recently. Literally, all other changes appear to have been wiped out.

DStrine reopened this task as Open.May 11 2016, 9:28 PM
DStrine set the point value for this task to 2.May 25 2016, 10:14 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:40 PM
Aklapper removed Eileenmcnaughton as the assignee of this task.Jun 19 2020, 4:26 PM

This task has been assigned to the same task owner for more than two years. Resetting task assignee due to inactivity, to decrease task cookie-licking and to get a slightly more realistic overview of plans. Please feel free to assign this task to yourself again if you still realistically work or plan to work on this task - it would be welcome!

For tips how to manage individual work in Phabricator (noisy notifications, lists of task, etc.), see https://phabricator.wikimedia.org/T228575#6237124 for available options.
(For the records, two emails were sent to assignee addresses before resetting assignees. See T228575 for more info and for potential feedback. Thanks!)